Bug 1722581 - [3.11] Increase the limit on the number of signatures in openshift.io/image-signature-import controller
Summary: [3.11] Increase the limit on the number of signatures in openshift.io/image-s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1722568
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-20 16:47 UTC by Oleg Bulatov
Modified: 2019-07-23 19:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: importer can import up to 3 signatures, but the registry.redhat.io often has more than 3 signatures Consequence: signatures can't be imported Fix: increase the limit Result: signatures can be imported
Clone Of: 1722568
Environment:
Last Closed: 2019-07-23 19:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1753 None None None 2019-07-23 19:56:33 UTC

Description Oleg Bulatov 2019-06-20 16:47:05 UTC
+++ This bug was initially created as a clone of Bug #1722568 +++

This bug was initially created from Bug #1705984

There is a limit of 3 signatures on import and when this limit is exceeded, no signatures are imported. The limit should be higher.

Comment 1 Oleg Bulatov 2019-06-20 16:47:56 UTC
https://github.com/openshift/origin/pull/23125

Comment 3 Wenjing Zheng 2019-07-10 06:21:31 UTC
Verified on v3.11.127, more that 3 signatures can be imported:
$ oc describe istag etcd:latest | grep -A3 Signatures
Image Signatures:	 
			Name:	sha256:bc5ef0f75b94086479b4029da9628c21d8cd8a1eb60ec88730cbd82c727e415d@67ad57320599ffeb21bc461adc69a25a7bfca112ffe3321102da9a82d6c58150
			Type:	AtomicImageV1
			Status:	Unverified
Image Signatures:	 
			Name:	sha256:bc5ef0f75b94086479b4029da9628c21d8cd8a1eb60ec88730cbd82c727e415d@999ead97f2bfb48bb42782020425abad89efcda95996efc64852353f27d08d9b
			Type:	AtomicImageV1
			Status:	Unverified
Image Signatures:	 
			Name:	sha256:bc5ef0f75b94086479b4029da9628c21d8cd8a1eb60ec88730cbd82c727e415d@be5759fa1bed7f19d18a044dbf8e258af4d735a53987e6d633f0c8c7cf7a07cb
			Type:	AtomicImageV1
			Status:	Unverified
Image Signatures:	 
			Name:	sha256:bc5ef0f75b94086479b4029da9628c21d8cd8a1eb60ec88730cbd82c727e415d@e0861c3e46cd038ab9f08e2032be13c1d093b4782e70f92d7f612f0f0745c197
			Type:	AtomicImageV1
			Status:	Unverified
Image Signatures:	 
			Name:	sha256:bc5ef0f75b94086479b4029da9628c21d8cd8a1eb60ec88730cbd82c727e415d@d77c64f0a1e7817a5910ab83dcff2153181ac6df67ab438ac29e4f56b40de0a1
			Type:	AtomicImageV1
			Status:	Unverified
Image Signatures:	 
			Name:	sha256:bc5ef0f75b94086479b4029da9628c21d8cd8a1eb60ec88730cbd82c727e415d@219028f9077048645be8fa68cdf4114cc2766f9b4c3badc21c024b1cc8556c5e
			Type:	AtomicImageV1
			Status:	Unverified

Comment 5 errata-xmlrpc 2019-07-23 19:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1753


Note You need to log in before you can comment on or make changes to this bug.